curl --request GET \
--url https://api.example.com/api/shared-events/searchimport requests
url = "https://api.example.com/api/shared-events/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/shared-events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"source": "agent",
"code": "<string>",
"detail": "<string>",
"kind": "ServerErrorEvent",
"id": "<string>",
"timestamp": "<string>",
"parent_id": "<string>"
}
],
"next_page_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search Shared Events
Search / List events for a shared conversation.
Because non-viewable events (e.g. ConversationStateUpdateEvent) are
filtered out after fetching, a single backend page may yield fewer items
than limit. This method transparently fetches additional backend pages
until the requested limit is reached or there are no more results.
Query Parameters
ServerErrorEvent, ACPToolCallEvent, Condensation, CondensationRequest, CondensationSummaryEvent, ConversationErrorEvent, ConversationStateUpdateEvent, HookExecutionEvent, LLMCompletionLogEvent, ActionEvent, MessageEvent, AgentErrorEvent, ObservationEvent, UserRejectObservation, SystemPromptEvent, StreamingDeltaEvent, TokenEvent, InterruptEvent, PauseEvent Enum for event sorting options.
TIMESTAMP, TIMESTAMP_DESC x <= 100Response
Successful Response
Event emitted by the agent server when a server-level error occurs.
This event is used for errors that originate from the agent server itself, such as MCP connection failures, WebSocket errors, or other infrastructure issues. Unlike ConversationErrorEvent which is for conversation-level failures, this event indicates a problem with the server environment.
- ServerErrorEvent
- ACPToolCallEvent
- Condensation
- CondensationRequest
- CondensationSummaryEvent
- ConversationErrorEvent
- ConversationStateUpdateEvent
- HookExecutionEvent
- LLMCompletionLogEvent
- ActionEvent
- MessageEvent
- AgentErrorEvent
- ObservationEvent
- UserRejectObservation
- SystemPromptEvent
- StreamingDeltaEvent
- TokenEvent
- InterruptEvent
- PauseEvent
Show child attributes
Show child attributes
Was this page helpful?

